{% extends "base.html" %}

{% block content %}

<h1 class="display-4">List Transaksi Dengan Resep</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">
<table class="table table-striped table table-hover">
    <thead>
      <tr>
        <th scope="col">No Resep</th>
        <th scope="col">Nama Dokter</th>
        <th scope="col">Nama Pasien</th>
        <th scope="col">Isi Resep</th>
        <th scope="col">Unggahan Resep</th>
        <th scope="col">Tanggal Resep </th>
        <th scope="col">Status Validas </th>
        <th scope="col">Nomor Telepon </th>
        <th scope="col">ID Transaksi </th>
        <th scope="col">Email Apoteker</th>
        {% if request.session.role == 'admin_apotek' or request.session.role == 'cs' %}
        <th scope="col" colspan="2" style="text-align: center;" > Edit </th>
        {% endif %}
      </tr>
    </thead>
    <tbody>
    {% for item in table %}
      <tr>
        <td>{{ item.no_resep }}</td>
        <td>{{ item.nama_dokter }}</td>
        <td>{{ item.nama_pasien }}</td>
        <td>{{ item.isi_resep }}</td>
        <td>{{ item.unggahan_resep }}</td>
        <td>{{ item.tanggal_resep }}</td>
        <td>{{ item.status_validasi }}</td>
        <td>{{ item.no_telepon }}</td>
        <td>{{ item.id_transaksi_pembelian }}</td>
        <td>{{ item.email_apoteker}}</td>
        {% if request.session.role == 'admin_apotek' or request.session.role == 'cs'  %}
        <td><a href="{% url 'transaksi_resep:updateTR' item.no_resep %}" class="btn btn-outline-primary" role="button">Update</a></td>
        <td><a href="{% url 'transaksi_resep:deleteTR' item.no_resep %}" class="btn btn-outline-primary" role="button">Delete</a></td>
        {% endif %}
      </tr>
      {% endfor %}
    </tbody>
  </table>



{% endblock content %}